HTTP request
curl \
-X POST 'MEILISEARCH_URL/dumps' \
-H 'Authorization: Bearer API_KEY'client.createDump()$client->createDump();client.create_dump()client.createDump();client.create_dumpresp, err := client.CreateDump()await client.CreateDumpAsync();client
.create_dump()
.await
.unwrap();await client.createDump();client.createDump { result in
switch result {
case .success(let dumpStatus):
print(dumpStatus)
case .failure(let error):
print(error)
}
}{
"taskUid": 0,
"indexUid": null,
"status": "enqueued",
"type": "dumpCreation",
"enqueuedAt": "2021-01-01T09:39:00.000000Z"
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}Dumps
Create dump
Trigger a dump creation process. When complete, a dump file is written to the dump directory. The directory is created if it does not exist.
POST
/
dumps
HTTP request
curl \
-X POST 'MEILISEARCH_URL/dumps' \
-H 'Authorization: Bearer API_KEY'client.createDump()$client->createDump();client.create_dump()client.createDump();client.create_dumpresp, err := client.CreateDump()await client.CreateDumpAsync();client
.create_dump()
.await
.unwrap();await client.createDump();client.createDump { result in
switch result {
case .success(let dumpStatus):
print(dumpStatus)
case .failure(let error):
print(error)
}
}{
"taskUid": 0,
"indexUid": null,
"status": "enqueued",
"type": "dumpCreation",
"enqueuedAt": "2021-01-01T09:39:00.000000Z"
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({ host: 'MEILISEARCH_URL', apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1' });
Response
Dump is being created.
A summarized view of a task, returned when a task is enqueued
Type of operation performed by the task.
Available options:
documentAdditionOrUpdate, documentEdition, documentDeletion, settingsUpdate, indexCreation, indexDeletion, indexUpdate, indexSwap, taskCancelation, taskDeletion, dumpCreation, snapshotCreation, export, upgradeDatabase, indexCompaction, networkTopologyChange, dsrUpdate, dsrClear Example:
"documentAdditionOrUpdate"